This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 735288 - RHQ plugin automatic unit testing
RHQ plugin automatic unit testing
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins, Tests (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 03:32 EDT by Galder Zamarreño
Modified: 2011-09-07 11:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Galder Zamarreño 2011-09-02 03:32:54 EDT
Unit testing of RHQ plugins needs improving. Even though the RHQ standalone container helps speed up testing, it's still far from idea. A unit testing fmw should be in place so that plugin functionality with a given server and agent can be verified automatically. Currently this testing process requires manual intervertion and it's tedious

Note You need to log in before you can comment on or make changes to this bug.